import numpy as np

def calculate_non_linear_scores(values, threshold, scaling_factor=1.0):
    # 使用非线性函数来计算分数
    scaled_values = np.exp((values - threshold) * scaling_factor) - 1
    scores = 1 / (1 + scaled_values)  # 将分数缩放到0到1之间
    return scores

# 示例数据
angle_array = np.array([0.1, 0.2, 0.15, 0.3, 0.5, 0.8, 2.5, 3, 4, 5])
threshold = 0.3
scaling_factor = 5.0  # 调整这个值来控制非线性程度

# 计算分数
non_linear_scores = calculate_non_linear_scores(angle_array, threshold, scaling_factor)

# 打印结果
print(non_linear_scores)